ConnectionDataHandler Class Referenceabstract

`#include <connectiondatahandler.h>`

Inheritance diagram for ConnectionDataHandler:
[legend]

## Public Member Functions

virtual | ~ConnectionDataHandler ()
virtual void | handleReceivedData (const ConnectionBase *connection, const std::string &data)=0
virtual void | handleConnect (const ConnectionBase *connection)=0
virtual void | handleDisconnect (const ConnectionBase *connection, ConnectionError reason)=0

## Detailed Description

This is an abstract base class to receive events from a ConnectionBase-derived object.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 35 of file connectiondatahandler.h.

## Constructor & Destructor Documentation

## ~ConnectionDataHandler()

virtual ~ConnectionDataHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 41 of file connectiondatahandler.h.

## Member Function Documentation

## handleConnect()

virtual void handleConnect | ( | const ConnectionBase * | connection | ) |

pure virtual

This function is called when e.g. the raw TCP connection was established.

Parameters

  connection | The connection.

Implemented in ClientBase, ConnectionBOSH, ConnectionHTTPProxy, ConnectionSOCKS5Proxy, ConnectionTLS, Client, SOCKS5Bytestream, and SOCKS5BytestreamServer.

## handleDisconnect()

virtual void handleDisconnect | ( | const ConnectionBase * | connection,
|  | ConnectionError | reason )

pure virtual

This connection is called when e.g. the raw TCP connection was closed.

Parameters

  connection | The connection.
  reason | The reason for the disconnect.

Implemented in ClientBase, ConnectionBOSH, ConnectionHTTPProxy, ConnectionSOCKS5Proxy, ConnectionTLS, SOCKS5Bytestream, and SOCKS5BytestreamServer.

## handleReceivedData()

virtual void handleReceivedData | ( | const ConnectionBase * | connection,
|  | const std::string & | data )

pure virtual

This function is called for received from the underlying transport.

Parameters

  connection | The connection that received the data.
  data | The data received.

Implemented in ClientBase, ConnectionBOSH, ConnectionHTTPProxy, ConnectionSOCKS5Proxy, ConnectionTLS, SOCKS5Bytestream, and SOCKS5BytestreamServer.

The documentation for this class was generated from the following file:

- connectiondatahandler.h